ZXBUI = {}
--Overwrite
ISInventoryPaneContextMenu.onFix = function(brokenObject, player, fixing, fixer)
    if brokenObject:getModData().original then
        ISTimedActionQueue.add(ZXBFixAction:new(getSpecificPlayer(player), brokenObject, 60, fixing, fixer));
    else 
        ISTimedActionQueue.add(ISFixAction:new(getSpecificPlayer(player), brokenObject, 60, fixing, fixer));
    end
end
ZXBUI.create = function(player, context, items)
	local playerObj = getSpecificPlayer(player);
	for k, item in pairs(items) do
		local tmpItem = item;
		if not instanceof(item, "InventoryItem") then
            tmpItem = item.items[1];
        end
		--Don't reload from corpses
		local containerType =  tmpItem:getContainer():getType();
		if containerType == 'inventorymale' or containerType == 'inventoryfemale' then return end
		
		local modData = tmpItem:getModData();
		if modData.ctype and modData.ctype == 'Bolt' then
			context:addOption("Load", items, ZXBUI.load, playerObj);
			context:addOption("Set as default", items, ZXBUI.setAsDefault, playerObj);
		end
		if modData.ctype and modData.ctype == 'brokencrossbow'  then
			
	        local fixing = FixingManager.getFix(tmpItem);
	        if fixing then
	            local fixOption = context:addOption(getText("ContextMenu_Repair") .. getItemText(tmpItem:getName()), items, nil);
	            local subMenuFix = ISContextMenu:getNew(context);
	            context:addSubMenu(fixOption, subMenuFix);
	            ISInventoryPaneContextMenu.buildFixingMenu(tmpItem, player, fixing, fixOption, subMenuFix);
	        end
   
		end
	end
end



ZXBUI.load = function(items, player)
	
	local bolt = items[1];
	if not instanceof(items[1], "InventoryItem") then
		bolt = items[1].items[1];
	end
	local weapon = player:getPrimaryHandItem();	
	ISTimedActionQueue.add(ZXBReloadAction:new(player, weapon, bolt));	
end

ZXBUI.setAsDefault = function(items, player)
	
	local bolt = items[1];
	if not instanceof(items[1], "InventoryItem") then
		bolt = items[1].items[1];
	end
	local weapon = player:getPrimaryHandItem();
    if not weapon then player:Say("I need to hold my crossbow for that"); return end;
	local modData = weapon:getModData();
	modData.defaultAmmo = bolt:getType();
	
end
Events.OnFillInventoryObjectContextMenu.Add(ZXBUI.create);